/* UPDATE.CMD for installing CSD fixes */

x = setlocal()

echo = '@'

/* Read in parameters (if any), and set defaults */
ARG commandline

/* Load special REXX libraries for later use */
call rxfuncadd sysloadfuncs, rexxutil, sysloadfuncs
call sysloadfuncs

/* Enable DBCS character sets options */
OPTIONS 'ETMODE'
OPTIONS 'EXMODE'

/* Parse the command line */
backup = FALSE
if WORDS(commandline) <> 0 then do
  if WORDS(commandline) = 1 then do
    backupi = WORD(commandline, 1)
    if LENGTH(backupi) <> 2 then do
      CALL HELP;
    end
    if POS('+', backupi) <> 1 then do
      CALL HELP;
    end
    backupi2 = SUBSTR(backupi, 2, 1)
    if POS(backupi2, 'Bb') = 0 then do
      CALL HELP;
    end
    backup = TRUE
  end
  else do
    CALL HELP;
  end
end

warpsrv = 'NO'

say 'Please follow the instructions in the CSDREAD.ME file for'
say 'applying this service.  If you have not read this file,'
say 'please press CTRL-C or CTRL-BREAK to exit this program.'
say 'If you have followed these instructions, press ENTER to'
say 'continue.'

parse upper pull dummy

CALL INIT;

/*****************************************************************/
/* Stop ALL PSF/2 processes that are currently running */
/* if the modules were installed                       */
/*****************************************************************/
IF FILESTATE(psf2dir'\BIN\C370STOP.EXE') <> 0 THEN DO
  psf2bin'\c370stop.exe ALL'
END

IF FILESTATE(psf2dir'\BIN\AIN1VSTP.EXE') <> 0 THEN DO
  psf2bin'\ain1vstp.exe ALL'
END

/*****************************************************************/
/* Test to see if this is Warp Server                            */
/*****************************************************************/
IF FILESTATE(psf2dir'\INSTALL\BASEPSF.PKG') <> 0 THEN DO
  warpsrv = 'YES'
END

/*****************************************************************/
/* Create the backup directories */
/*****************************************************************/
IF (backup = TRUE) THEN DO
  call SysMkDir(psf2dir'\OLD')
END
call SysMkDir(psf2dir'\OLDV')

/*****************************************************************/
/* Make all files READ/WRITE */
/*****************************************************************/
'attrib -r 'psf2dir'\*.* /s'

/*****************************************************************/
/* Copy ALL20.TXT file to preserve date of application           */
/*****************************************************************/
IF FILESTATE('.\ALL20.TXT') <> 0 THEN DO
  'copy .\ALL20.TXT 'psf2dir'\'
  IF rc <> 0 THEN DO; CALL QUIT; END;
END

/*****************************************************************/
/* Copy all old files into a backup directory, and copy new ones */
/* to the correct directory                                      */
/*****************************************************************/
IF FILESTATE(psf2dir'\BIN\AIN1QINS.BND') <> 0 THEN DO
  IF FILESTATE('.\AIN1QINS.BND') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN1QINS.BND 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN1QINS.BND 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    'SQLBIND 'psf2dir'\BIN\AIN1QINS.BND AINDPF /F=LOC'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN2QSML.BND') <> 0 THEN DO
  IF FILESTATE('.\AIN2QSML.BND') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN2QSML.BND 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN2QSML.BND 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    'SQLBIND 'psf2dir'\BIN\AIN2QSML.BND AINDPF /F=LOC'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN3QSML.BND') <> 0 THEN DO
  IF FILESTATE('.\AIN3QSML.BND') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN3QSML.BND 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN3QSML.BND 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    'SQLBIND 'psf2dir'\BIN\AIN3QSML.BND AINDPF /F=LOC'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN3QMIG.BND') <> 0 THEN DO
  IF FILESTATE('.\AIN3QMIG.BND') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN3QMIG.BND 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN3QMIG.BND 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    'SQLBIND 'psf2dir'\BIN\AIN3QMIG.BND AINDPF /F=LOC'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN3QRL3.BND') <> 0 THEN DO
  IF FILESTATE('.\AIN3QRL3.BND') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN3QRL3.BND 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN3QRL3.BND 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    'SQLBIND 'psf2dir'\BIN\AIN3QRL3.BND AINLIB /F=LOC'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN3QRLB.BND') <> 0 THEN DO
  IF FILESTATE('.\AIN3QRLB.BND') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN3QRLB.BND 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN3QRLB.BND 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    'SQLBIND 'psf2dir'\BIN\AIN3QRLB.BND AINLIB /F=LOC'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN3LXLB.BND') <> 0 THEN DO
  IF FILESTATE('.\AIN3LXLB.BND') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN3LXLB.BND 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN3LXLB.BND 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    'SQLBIND 'psf2dir'\BIN\AIN3LXLB.BND AINLIB /F=LOC'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN3LDB.BND') <> 0 THEN DO
  IF FILESTATE('.\AIN3LDB.BND') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN3LDB.BND 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN3LDB.BND 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    'SQLBIND 'psf2dir'\BIN\AIN3LDB.BND AINLIB /F=LOC'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN1LIN2.BND') <> 0 THEN DO
  IF FILESTATE('.\AIN1LIN2.BND') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN1LIN2.BND 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN1LIN2.BND 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    'SQLBIND 'psf2dir'\BIN\AIN1LIN2.BND AINLIB /F=LOC'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\CHARSET.GRD') <> 0 THEN DO
  IF FILESTATE('.\CHARSET.GRD') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\CHARSET.GRD 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\CHARSET.GRD 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\FGID.GRD') <> 0 THEN DO
  IF FILESTATE('.\FGID.GRD') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\FGID.GRD 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\FGID.GRD 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\CODEPAGE.GRD') <> 0 THEN DO
  IF FILESTATE('.\CODEPAGE.GRD') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\CODEPAGE.GRD 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\CODEPAGE.GRD 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\CPGID.GRD') <> 0 THEN DO
  IF FILESTATE('.\CPGID.GRD') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\CPGID.GRD 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\CPGID.GRD 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\AINDB.DLL') <> 0 THEN DO
  IF FILESTATE('.\AINYDB.DLL') <> 0 THEN DO
    'copy .\AINYDB.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    IF FILESTATE(psf2dir'\BIN\AINDPFHR.EXE') <> 0 THEN DO
      IF (backup = TRUE) THEN DO
        'copy 'psf2dir'\DLL\AINDB.DLL 'psf2dir'\OLD\'
        IF rc <> 0 THEN DO; CALL QUIT; END;
      END
      'copy .\AINYDB.DLL 'psf2dir'\DLL\AINDB.DLL'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
  END
  IF FILESTATE('.\AINNDB.DLL') <> 0 THEN DO
    'copy .\AINNDB.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    IF FILESTATE(psf2dir'\BIN\AINDPFHR.EXE') = 0 THEN DO
      IF (backup = TRUE) THEN DO
        'copy 'psf2dir'\DLL\AINDB.DLL 'psf2dir'\OLD\'
        IF rc <> 0 THEN DO; CALL QUIT; END;
      END
      'copy .\AINNDB.DLL 'psf2dir'\DLL\AINDB.DLL'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
  END
END
IF FILESTATE(psf2dir'\BINSHARE\AIN1NINI.EXE') <> 0 THEN DO
  IF FILESTATE('.\AIN1NINI.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\AIN1NINI.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN1NINI.EXE 'psf2dir'\BINSHARE\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\C02055D0.240') <> 0 THEN DO
  IF FILESTATE('.\C02055D0.240') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\C02055D0.240 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\C02055D0.240 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\C02055D0.300') <> 0 THEN DO
  IF FILESTATE('.\C02055D0.300') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\C02055D0.300 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\C02055D0.300 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\C02075D0.240') <> 0 THEN DO
  IF FILESTATE('.\C02075D0.240') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\C02075D0.240 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\C02075D0.240 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\C02075D0.300') <> 0 THEN DO
  IF FILESTATE('.\C02075D0.300') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\C02075D0.300 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\C02075D0.300 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\C02055F0.240') <> 0 THEN DO
  IF FILESTATE('.\C02055F0.240') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\C02055F0.240 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\C02055F0.240 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\C02055F0.300') <> 0 THEN DO
  IF FILESTATE('.\C02055F0.300') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\C02055F0.300 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\C02055F0.300 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\C0PCLR12.240') <> 0 THEN DO
  IF FILESTATE('.\C0PCLR12.240') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\C0PCLR12.240 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\C0PCLR12.240 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\C0PCLR12.300') <> 0 THEN DO
  IF FILESTATE('.\C0PCLR12.300') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\C0PCLR12.300 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\C0PCLR12.300 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\T1000437') <> 0 THEN DO
  IF FILESTATE('.\T1000437') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\T1000437 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\T1000437 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\T1000813') <> 0 THEN DO
  IF FILESTATE('.\T1000813') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\T1000813 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\T1000813 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\T1000850') <> 0 THEN DO
  IF FILESTATE('.\T1000850') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\T1000850 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\T1000850 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\T1000852') <> 0 THEN DO
  IF FILESTATE('.\T1000852') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\T1000852 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\T1000852 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\T1000857') <> 0 THEN DO
  IF FILESTATE('.\T1000857') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\T1000857 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\T1000857 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\T1000860') <> 0 THEN DO
  IF FILESTATE('.\T1000860') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\T1000860 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\T1000860 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\T1000858') <> 0 THEN DO
  IF FILESTATE('.\T1000858') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\T1000858 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\T1000858 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\T1000862') <> 0 THEN DO
  IF FILESTATE('.\T1000862') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\T1000862 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\T1000862 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\T1000863') <> 0 THEN DO
  IF FILESTATE('.\T1000863') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\T1000863 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\T1000863 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\T1000864') <> 0 THEN DO
  IF FILESTATE('.\T1000864') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\T1000864 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\T1000864 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\T1000865') <> 0 THEN DO
  IF FILESTATE('.\T1000865') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\T1000865 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\T1000865 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\T1000866') <> 0 THEN DO
  IF FILESTATE('.\T1000866') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\T1000866 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\T1000866 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\T1000874') <> 0 THEN DO
  IF FILESTATE('.\T1000874') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\T1000874 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\T1000874 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F100D') <> 0 THEN DO
  IF FILESTATE('.\F100D') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F100D 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F100D 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F100S') <> 0 THEN DO
  IF FILESTATE('.\F100S') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F100S 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F100S 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F100T') <> 0 THEN DO
  IF FILESTATE('.\F100T') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F100T 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F100T 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F10101LA') <> 0 THEN DO
  IF FILESTATE('.\F10101LA') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F10101LA 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F10101LA 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F10101LD') <> 0 THEN DO
  IF FILESTATE('.\F10101LD') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F10101LD 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F10101LD 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F10101PA') <> 0 THEN DO
  IF FILESTATE('.\F10101PA') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F10101PA 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F10101PA 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F10101PD') <> 0 THEN DO
  IF FILESTATE('.\F10101PD') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F10101PD 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F10101PD 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1A10110') <> 0 THEN DO
  IF FILESTATE('.\F1A10110') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1A10110 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1A10110 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1A10111') <> 0 THEN DO
  IF FILESTATE('.\F1A10111') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1A10111 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1A10111 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1A10112') <> 0 THEN DO
  IF FILESTATE('.\F1A10112') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1A10112 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1A10112 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1A10120') <> 0 THEN DO
  IF FILESTATE('.\F1A10120') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1A10120 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1A10120 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1A10121') <> 0 THEN DO
  IF FILESTATE('.\F1A10121') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1A10121 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1A10121 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1A10122') <> 0 THEN DO
  IF FILESTATE('.\F1A10122') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1A10122 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1A10122 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1H50110') <> 0 THEN DO
  IF FILESTATE('.\F1H50110') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1H50110 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1H50110 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1H50111') <> 0 THEN DO
  IF FILESTATE('.\F1H50111') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1H50111 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1H50111 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1H50120') <> 0 THEN DO
  IF FILESTATE('.\F1H50120') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1H50120 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1H50120 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1H50121') <> 0 THEN DO
  IF FILESTATE('.\F1H50121') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1H50121 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1H50121 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1HP0110') <> 0 THEN DO
  IF FILESTATE('.\F1HP0110') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1HP0110 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1HP0110 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1HP0120') <> 0 THEN DO
  IF FILESTATE('.\F1HP0120') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1HP0120 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1HP0120 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1MG0110') <> 0 THEN DO
  IF FILESTATE('.\F1MG0110') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1MG0110 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1MG0110 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1MG0111') <> 0 THEN DO
  IF FILESTATE('.\F1MG0111') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1MG0111 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1MG0111 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1MG0120') <> 0 THEN DO
  IF FILESTATE('.\F1MG0120') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1MG0120 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1MG0120 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1MG0121') <> 0 THEN DO
  IF FILESTATE('.\F1MG0121') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1MG0121 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1MG0121 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1PP0110') <> 0 THEN DO
  IF FILESTATE('.\F1PP0110') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1PP0110 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1PP0110 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1PP0111') <> 0 THEN DO
  IF FILESTATE('.\F1PP0111') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1PP0111 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1PP0111 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1PP0120') <> 0 THEN DO
  IF FILESTATE('.\F1PP0120') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1PP0120 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1PP0120 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1PP0121') <> 0 THEN DO
  IF FILESTATE('.\F1PP0121') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1PP0121 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1PP0121 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1CP0121') <> 0 THEN DO
  IF FILESTATE('.\F1CP0121') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1CP0121 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1CP0121 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1CP0122') <> 0 THEN DO
  IF FILESTATE('.\F1CP0122') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1CP0122 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1CP0122 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1H10110') <> 0 THEN DO
  IF FILESTATE('.\F1H10110') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1H10110 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1H10110 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1H10111') <> 0 THEN DO
  IF FILESTATE('.\F1H10111') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1H10111 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1H10111 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1H10112') <> 0 THEN DO
  IF FILESTATE('.\F1H10112') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1H10112 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1H10112 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1H10120') <> 0 THEN DO
  IF FILESTATE('.\F1H10120') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1H10120 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1H10120 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1H10121') <> 0 THEN DO
  IF FILESTATE('.\F1H10121') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1H10121 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1H10121 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1H10122') <> 0 THEN DO
  IF FILESTATE('.\F1H10122') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1H10122 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1H10122 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1H10130') <> 0 THEN DO
  IF FILESTATE('.\F1H10130') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1H10130 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1H10130 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1H10131') <> 0 THEN DO
  IF FILESTATE('.\F1H10131') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1H10131 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1H10131 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1H10132') <> 0 THEN DO
  IF FILESTATE('.\F1H10132') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1H10132 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1H10132 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1H10140') <> 0 THEN DO
  IF FILESTATE('.\F1H10140') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1H10140 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1H10140 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1H10141') <> 0 THEN DO
  IF FILESTATE('.\F1H10141') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1H10141 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1H10141 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1H10142') <> 0 THEN DO
  IF FILESTATE('.\F1H10142') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1H10142 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1H10142 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1CP0120') <> 0 THEN DO
  IF FILESTATE('.\F1CP0120') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1CP0120 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1CP0120 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1CP0111') <> 0 THEN DO
  IF FILESTATE('.\F1CP0111') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1CP0111 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1CP0111 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1CP0112') <> 0 THEN DO
  IF FILESTATE('.\F1CP0112') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1CP0112 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1CP0112 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1A10142') <> 0 THEN DO
  IF FILESTATE('.\F1A10142') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1A10142 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1A10142 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1CP0110') <> 0 THEN DO
  IF FILESTATE('.\F1CP0110') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1CP0110 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1CP0110 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1A00042') <> 0 THEN DO
  IF FILESTATE('.\F1A00042') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1A00042 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1A00042 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1A10140') <> 0 THEN DO
  IF FILESTATE('.\F1A10140') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1A10140 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1A10140 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1A10141') <> 0 THEN DO
  IF FILESTATE('.\F1A10141') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1A10141 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1A10141 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1A00040') <> 0 THEN DO
  IF FILESTATE('.\F1A00040') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1A00040 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1A00040 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1A00041') <> 0 THEN DO
  IF FILESTATE('.\F1A00041') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1A00041 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1A00041 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1C10110') <> 0 THEN DO
  IF FILESTATE('.\F1C10110') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1C10110 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1C10110 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1C10111') <> 0 THEN DO
  IF FILESTATE('.\F1C10111') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1C10111 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1C10111 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1C10112') <> 0 THEN DO
  IF FILESTATE('.\F1C10112') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1C10112 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1C10112 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1N20132') <> 0 THEN DO
  IF FILESTATE('.\F1N20132') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1N20132 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1N20132 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1N20112') <> 0 THEN DO
  IF FILESTATE('.\F1N20112') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1N20112 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1N20112 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1N20130') <> 0 THEN DO
  IF FILESTATE('.\F1N20130') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1N20130 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1N20130 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1N20131') <> 0 THEN DO
  IF FILESTATE('.\F1N20131') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1N20131 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1N20131 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1N201PD') <> 0 THEN DO
  IF FILESTATE('.\F1N201PD') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1N201PD 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1N201PD 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1N20110') <> 0 THEN DO
  IF FILESTATE('.\F1N20110') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1N20110 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1N20110 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1N20111') <> 0 THEN DO
  IF FILESTATE('.\F1N20111') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1N20111 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1N20111 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1N201LD') <> 0 THEN DO
  IF FILESTATE('.\F1N201LD') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1N201LD 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1N201LD 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1N201PA') <> 0 THEN DO
  IF FILESTATE('.\F1N201PA') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1N201PA 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1N201PA 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\F1N201LA') <> 0 THEN DO
  IF FILESTATE('.\F1N201LA') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\F1N201LA 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\F1N201LA 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\RESLIB\RESOURCE.RL') <> 0 THEN DO
  IF FILESTATE('.\RESOURCE.RL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\RESLIB\RESOURCE.RL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\RESOURCE.RL 'psf2dir'\RESLIB\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\INSTALL.EXE') <> 0 THEN DO
  IF FILESTATE('.\INSTALL.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\INSTALL.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\INSTALL.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\INSTALL.HLP') <> 0 THEN DO
  IF FILESTATE('.\INSTALL.HLP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\INSTALL.HLP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\INSTALL.HLP 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\INSTALL.CTL') <> 0 THEN DO
  IF FILESTATE('.\INSTALL.CTL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\INSTALL.CTL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\INSTALL.CTL 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\PENNANT.MET') <> 0 THEN DO
  IF FILESTATE('.\PENNANT.MET') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\PENNANT.MET 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PENNANT.MET 'psf2dir'\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    'copy .\PENNANT.MET 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    'copy .\PENNANT.MET 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    'copy .\PENNANT.MET 'psf2dir'\BINSHARE\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\READ.ME') <> 0 THEN DO
  IF FILESTATE('.\READ.ME') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\READ.ME 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\READ.ME 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\PSF2.NEW') <> 0 THEN DO
  IF FILESTATE('.\PSF2.NEW') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\PSF2.NEW 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PSF2.NEW 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\AINUHXDA.HLP') <> 0 THEN DO
  IF FILESTATE('.\AINUHXDA.HLP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\AINUHXDA.HLP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUHXDA.HLP 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\INSTALL.EXE') <> 0 THEN DO
  IF FILESTATE('.\INSTALL.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\INSTALL.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\INSTALL.EXE 'psf2dir'\BINSHARE\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\INSTALL.HLP') <> 0 THEN DO
  IF FILESTATE('.\INSTALL.HLP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\INSTALL.HLP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\INSTALL.HLP 'psf2dir'\BINSHARE\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\NET_INST.CTL') <> 0 THEN DO
  IF FILESTATE('.\NET_INST.CTL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\NET_INST.CTL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\NET_INST.CTL 'psf2dir'\BINSHARE\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\APRINT.EXE') <> 0 THEN DO
  IF FILESTATE('.\APRINT.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\APRINT.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\APRINT.EXE 'psf2dir'\BINSHARE\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\PMAPRINT.EXE') <> 0 THEN DO
  IF FILESTATE('.\PMAPRINT.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\PMAPRINT.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PMAPRINT.EXE 'psf2dir'\BINSHARE\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\AINVIEW.CMD') <> 0 THEN DO
  IF FILESTATE('.\AINVIEW.CMD') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\AINVIEW.CMD 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINVIEW.CMD 'psf2dir'\BINSHARE\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\AINVIEW.ICO') <> 0 THEN DO
  IF FILESTATE('.\AINVIEW.ICO') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\AINVIEW.ICO 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINVIEW.ICO 'psf2dir'\BINSHARE\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\AINWNEW.CMD') <> 0 THEN DO
  IF FILESTATE('.\AINWNEW.CMD') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\AINWNEW.CMD 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINWNEW.CMD 'psf2dir'\BINSHARE\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\AINWNEW.ICO') <> 0 THEN DO
  IF FILESTATE('.\AINWNEW.ICO') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\AINWNEW.ICO 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINWNEW.ICO 'psf2dir'\BINSHARE\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\SETUPREQ.EXE') <> 0 THEN DO
  IF FILESTATE('.\SETUPREQ.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\SETUPREQ.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\SETUPREQ.EXE 'psf2dir'\BINSHARE\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF (FILESTATE(psf2dir'\BINSHARE\BOOK\PSF2MST.INF') <> 0) & (warpsrv = 'NO') THEN DO
  IF FILESTATE('.\PSF2MST.INF') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\BOOK\PSF2MST.INF 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PSF2MST.INF 'psf2dir'\BINSHARE\BOOK\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF (FILESTATE(psf2dir'\BINSHARE\BOOK\JISCII.INF') <> 0) & (warpsrv = 'NO') THEN DO
  IF FILESTATE('.\JISCII.INF') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\BOOK\JISCII.INF 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\JISCII.INF 'psf2dir'\BINSHARE\BOOK\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF (FILESTATE(psf2dir'\BINSHARE\BOOK\NWMST.INF') <> 0) & (warpsrv = 'NO') THEN DO
  IF FILESTATE('.\NWMST.INF') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\BOOK\NWMST.INF 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\NWMST.INF 'psf2dir'\BINSHARE\BOOK\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF (FILESTATE(psf2dir'\BINSHARE\BOOK\PSF2MST.INF') <> 0) & (warpsrv = 'YES') THEN DO
  IF FILESTATE('.\NINSTL\PSF2MST.INF') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\BOOK\PSF2MST.INF 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\NINSTL\PSF2MST.INF 'psf2dir'\BINSHARE\BOOK\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF (FILESTATE(psf2dir'\BINSHARE\BOOK\JISCII.INF') <> 0) & (warpsrv = 'YES') THEN DO
  IF FILESTATE('.\NINSTL\JISCII.INF') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\BOOK\JISCII.INF 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\NINSTL\JISCII.INF 'psf2dir'\BINSHARE\BOOK\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF (FILESTATE(psf2dir'\BINSHARE\BOOK\NWMST.INF') <> 0) & (warpsrv = 'YES') THEN DO
  IF FILESTATE('.\NINSTL\NWMST.INF') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\BOOK\NWMST.INF 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\NINSTL\NWMST.INF 'psf2dir'\BINSHARE\BOOK\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\REQFILES\DD.FLS') <> 0 THEN DO
  IF FILESTATE('.\DD.FLS') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\REQFILES\DD.FLS 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\DD.FLS 'psf2dir'\BINSHARE\REQFILES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\REQFILES\SYSTEM.FLS') <> 0 THEN DO
  IF FILESTATE('.\SYSTEM.FLS') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\REQFILES\SYSTEM.FLS 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\SYSTEM.FLS 'psf2dir'\BINSHARE\REQFILES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\HELP\AINDPF.HLP') <> 0 THEN DO
  IF FILESTATE('.\AINDPF.HLP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\HELP\AINDPF.HLP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINDPF.HLP 'psf2dir'\BINSHARE\HELP\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\HELP\AIN.HLP') <> 0 THEN DO
  IF FILESTATE('.\AIN.HLP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\HELP\AIN.HLP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN.HLP 'psf2dir'\BINSHARE\HELP\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\HELP\PMAPRINT.HLP') <> 0 THEN DO
  IF FILESTATE('.\PMAPRINT.HLP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\HELP\PMAPRINT.HLP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PMAPRINT.HLP 'psf2dir'\BINSHARE\HELP\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\HELP\AIN1UHLP.HLP') <> 0 THEN DO
  IF FILESTATE('.\AIN1UHLP.HLP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\HELP\AIN1UHLP.HLP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN1UHLP.HLP 'psf2dir'\BINSHARE\HELP\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\HELP\PMARL.HLP') <> 0 THEN DO
  IF FILESTATE('.\PMARL.HLP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\HELP\PMARL.HLP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PMARL.HLP 'psf2dir'\BINSHARE\HELP\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\HELP\JISCII.HLP') <> 0 THEN DO
  IF FILESTATE('.\JISCII.HLP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\HELP\JISCII.HLP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\JISCII.HLP 'psf2dir'\BINSHARE\HELP\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\HELP\AIN.MSG') <> 0 THEN DO
  IF FILESTATE('.\AIN.MSG') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\HELP\AIN.MSG 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN.MSG 'psf2dir'\BINSHARE\HELP\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\HELP\AINH.MSG') <> 0 THEN DO
  IF FILESTATE('.\AINH.MSG') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\HELP\AINH.MSG 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINH.MSG 'psf2dir'\BINSHARE\HELP\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\HELP\AINENG.MSG') <> 0 THEN DO
  IF FILESTATE('.\AINENG.MSG') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\HELP\AINENG.MSG 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINENG.MSG 'psf2dir'\BINSHARE\HELP\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\HELP\XFMFLTR.HLP') <> 0 THEN DO
  IF FILESTATE('.\XFMFLTR.HLP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\HELP\XFMFLTR.HLP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\XFMFLTR.HLP 'psf2dir'\BINSHARE\HELP\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\HELP\XFMNUP.HLP') <> 0 THEN DO
  IF FILESTATE('.\XFMNUP.HLP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\HELP\XFMNUP.HLP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\XFMNUP.HLP 'psf2dir'\BINSHARE\HELP\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BINSHARE\HELP\AIN1GEUI.HLP') <> 0 THEN DO
  IF FILESTATE('.\AIN1GEUI.HLP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BINSHARE\HELP\AIN1GEUI.HLP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN1GEUI.HLP 'psf2dir'\BINSHARE\HELP\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\PMAPRINT.QPR') <> 0 THEN DO
  IF FILESTATE('.\PMAPRINT.QPR') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\PMAPRINT.QPR 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PMAPRINT.QPR 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\PMAFP.DRV') <> 0 THEN DO
  IF FILESTATE('.\PMAFP.DRV') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\PMAFP.DRV 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PMAFP.DRV 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    'copy .\PMAFP.EA 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    'eautil 'psf2dir'\DLL\PMAFP.DRV 'psf2dir'\DLL\PMAFP.EA /J'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\PMSRV.DLL') <> 0 THEN DO
  IF FILESTATE('.\PMSRV.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\PMSRV.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PMSRV.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\AINFHENU.DLL') <> 0 THEN DO
  IF FILESTATE('.\AINFHENU.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\AINFHENU.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINFHENU.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\PENNAFP2.DRV') <> 0 THEN DO
  IF FILESTATE('.\PENNAFP2.DRV') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\PENNAFP2.DRV 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PENNAFP2.DRV 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    'copy .\PENNAFP2.EA 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    'eautil 'psf2dir'\DLL\PENNAFP2.DRV 'psf2dir'\DLL\PENNAFP2.EA /J'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\PENNAFPS.DLL') <> 0 THEN DO
  IF FILESTATE('.\PENNAFPS.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\PENNAFPS.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PENNAFPS.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\PENNAFP2.HLP') <> 0 THEN DO
  IF FILESTATE('.\PENNAFP2.HLP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\PENNAFP2.HLP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PENNAFP2.HLP 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\AINTRMS.DLL') <> 0 THEN DO
  IF FILESTATE('.\AINTRMS.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\AINTRMS.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINTRMS.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\WP2AFP.DLL') <> 0 THEN DO
  IF FILESTATE('.\WP2AFP.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\WP2AFP.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\WP2AFP.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\AINCKRN.DLL') <> 0 THEN DO
  IF FILESTATE('.\AINCKRN.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\AINCKRN.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINCKRN.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\AINHYPER.DLL') <> 0 THEN DO
  IF FILESTATE('.\AINHYPER.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\AINHYPER.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINHYPER.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\AINPRTM.DLL') <> 0 THEN DO
  IF FILESTATE('.\AINPRTM.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\AINPRTM.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINPRTM.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\AINRMRL.DLL') <> 0 THEN DO
  IF FILESTATE('.\AINRMRL.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\AINRMRL.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINRMRL.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\AINUXACC.DLL') <> 0 THEN DO
  IF FILESTATE('.\AINUXACC.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\AINUXACC.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXACC.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\AINUXAUD.DLL') <> 0 THEN DO
  IF FILESTATE('.\AINUXAUD.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\AINUXAUD.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXAUD.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\AINUXHDR.DLL') <> 0 THEN DO
  IF FILESTATE('.\AINUXHDR.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\AINUXHDR.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXHDR.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\AINUXIND.DLL') <> 0 THEN DO
  IF FILESTATE('.\AINUXIND.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\AINUXIND.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXIND.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\AINUXOUT.DLL') <> 0 THEN DO
  IF FILESTATE('.\AINUXOUT.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\AINUXOUT.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXOUT.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\AINUXSEP.DLL') <> 0 THEN DO
  IF FILESTATE('.\AINUXSEP.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\AINUXSEP.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXSEP.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\AINUXTRL.DLL') <> 0 THEN DO
  IF FILESTATE('.\AINUXTRL.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\AINUXTRL.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXTRL.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\AINXFRM.DLL') <> 0 THEN DO
  IF FILESTATE('.\AINXFRM.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\AINXFRM.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINXFRM.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\BPSHOAFO.DLL') <> 0 THEN DO
  IF FILESTATE('.\BPSHOAFO.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\BPSHOAFO.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\BPSHOAFO.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\BPSHOATO.DLL') <> 0 THEN DO
  IF FILESTATE('.\BPSHOATO.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\BPSHOATO.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\BPSHOATO.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\BPSHOAXO.DLL') <> 0 THEN DO
  IF FILESTATE('.\BPSHOAXO.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\BPSHOAXO.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\BPSHOAXO.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\JISCII.DLL') <> 0 THEN DO
  IF FILESTATE('.\JISCII.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\JISCII.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\JISCII.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\NWQINFO.DLL') <> 0 THEN DO
  IF FILESTATE('.\NWQINFO.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\NWQINFO.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\NWQINFO.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\XFMFLTR.DLL') <> 0 THEN DO
  IF FILESTATE('.\XFMFLTR.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\XFMFLTR.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\XFMFLTR.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\XFMNUP.DLL') <> 0 THEN DO
  IF FILESTATE('.\XFMNUP.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\XFMNUP.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\XFMNUP.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\AINXA2AF.DLL') <> 0 THEN DO
  IF FILESTATE('.\AINXA2AF.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\AINXA2AF.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINXA2AF.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\AINHU370.DLL') <> 0 THEN DO
  IF FILESTATE('.\AINHU370.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\AINHU370.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINHU370.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\DELSPFIL.DLL') <> 0 THEN DO
  IF FILESTATE('.\DELSPFIL.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\DELSPFIL.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\DELSPFIL.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\DLL\PS2AFP.DLL') <> 0 THEN DO
  IF FILESTATE('.\PS2AFP.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DLL\PS2AFP.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2AFP.DLL 'psf2dir'\DLL\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SYSTEM\AINHRSEL.CFG') <> 0 THEN DO
  IF FILESTATE('.\AINHRSEL.CFG') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SYSTEM\AINHRSEL.CFG 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINHRSEL.CFG 'psf2dir'\SYSTEM\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SYSTEM\IBMCORE.FON') <> 0 THEN DO
  IF FILESTATE('.\IBMCORE.FON') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SYSTEM\IBMCORE.FON 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\IBMCORE.FON 'psf2dir'\SYSTEM\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SYSTEM\PLUSPAK.FON') <> 0 THEN DO
  IF FILESTATE('.\PLUSPAK.FON') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SYSTEM\PLUSPAK.FON 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PLUSPAK.FON 'psf2dir'\SYSTEM\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SYSTEM\PRELOAD.PS') <> 0 THEN DO
  IF FILESTATE('.\PRELOAD.PS') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SYSTEM\PRELOAD.PS 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PRELOAD.PS?? 'psf2dir'\SYSTEM\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SYSTEM\PS2AFP.PS') <> 0 THEN DO
  IF FILESTATE('.\PS2AFP.PS') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SYSTEM\PS2AFP.PS 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2AFP.PS 'psf2dir'\SYSTEM\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SYSTEM\PS2AFPE.PS') <> 0 THEN DO
  IF FILESTATE('.\PS2AFPE.PS') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SYSTEM\PS2AFPE.PS 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2AFPE.PS 'psf2dir'\SYSTEM\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SYSTEM\PS2AFP2.PS') <> 0 THEN DO
  IF FILESTATE('.\PS2AFP2.PS') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SYSTEM\PS2AFP2.PS 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2AFP2.PS 'psf2dir'\SYSTEM\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SYSTEM\PS2AFP3.PS') <> 0 THEN DO
  IF FILESTATE('.\PS2AFP3.PS') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SYSTEM\PS2AFP3.PS 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2AFP3.PS 'psf2dir'\SYSTEM\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SYSTEM\PS2AFPEQ.PS') <> 0 THEN DO
  IF FILESTATE('.\PS2AFPEQ.PS') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SYSTEM\PS2AFPEQ.PS 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2AFPEQ.PS 'psf2dir'\SYSTEM\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SYSTEM\PS2APFNE.PS') <> 0 THEN DO
  IF FILESTATE('.\PS2APFNE.PS') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SYSTEM\PS2APFNE.PS 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2APFNE.PS 'psf2dir'\SYSTEM\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SYSTEM\PS2AFPQ.PS') <> 0 THEN DO
  IF FILESTATE('.\PS2AFPQ.PS') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SYSTEM\PS2AFPQ.PS 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2AFPQ.PS 'psf2dir'\SYSTEM\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SYSTEM\PSBADPS.AFP') <> 0 THEN DO
  IF FILESTATE('.\PSBADPS.AFP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SYSTEM\PSBADPS.AFP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PSBADPS.AFP 'psf2dir'\SYSTEM\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SYSTEM\PSCRASH.AFP') <> 0 THEN DO
  IF FILESTATE('.\PSCRASH.AFP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SYSTEM\PSCRASH.AFP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PSCRASH.AFP 'psf2dir'\SYSTEM\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SYSTEM\PSMEMERR.AFP') <> 0 THEN DO
  IF FILESTATE('.\PSMEMERR.AFP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SYSTEM\PSMEMERR.AFP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PSMEMERR.AFP 'psf2dir'\SYSTEM\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SYSTEM\PSPRELOD.AFP') <> 0 THEN DO
  IF FILESTATE('.\PSPRELOD.AFP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SYSTEM\PSPRELOD.AFP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PSPRELOD.AFP 'psf2dir'\SYSTEM\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SYSTEM\PSTIMOUT.AFP') <> 0 THEN DO
  IF FILESTATE('.\PSTIMOUT.AFP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SYSTEM\PSTIMOUT.AFP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PSTIMOUT.AFP 'psf2dir'\SYSTEM\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SYSTEM\PSVMERR.AFP') <> 0 THEN DO
  IF FILESTATE('.\PSVMERR.AFP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SYSTEM\PSVMERR.AFP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PSVMERR.AFP 'psf2dir'\SYSTEM\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SYSTEM\VERSION') <> 0 THEN DO
  IF FILESTATE('.\VERSION') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SYSTEM\VERSION 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\VERSION 'psf2dir'\SYSTEM\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SYSTEM\SYSLEVEL.AIN') <> 0 THEN DO
  IF FILESTATE('.\SYSLEVEL.AIN') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SYSTEM\SYSLEVEL.AIN 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\SYSLEVEL.AIN 'psf2dir'\SYSTEM\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINXFSMP.DLG') <> 0 THEN DO
  IF FILESTATE('.\AINXFSMP.DLG') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINXFSMP.DLG 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINXFSMP.DLG 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINXFSMP.RC') <> 0 THEN DO
  IF FILESTATE('.\AINXFSMP.RC') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINXFSMP.RC 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINXFSMP.RC 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINXFSMP.IPF') <> 0 THEN DO
  IF FILESTATE('.\AINXFSMP.IPF') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINXFSMP.IPF 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINXFSMP.IPF 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\DBCSFNTJ.DAT') <> 0 THEN DO
  IF FILESTATE('.\DBCSFNTJ.DAT') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\DBCSFNTJ.DAT 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\DBCSFNTJ.DAT 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\DBCSFNTK.DAT') <> 0 THEN DO
  IF FILESTATE('.\DBCSFNTK.DAT') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\DBCSFNTK.DAT 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\DBCSFNTK.DAT 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\DBCSFNTT.DAT') <> 0 THEN DO
  IF FILESTATE('.\DBCSFNTT.DAT') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\DBCSFNTT.DAT 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\DBCSFNTT.DAT 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\JISCIIDB.DAT') <> 0 THEN DO
  IF FILESTATE('.\JISCIIDB.DAT') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\JISCIIDB.DAT 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\JISCIIDB.DAT 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\SBCSFNTJ.DAT') <> 0 THEN DO
  IF FILESTATE('.\SBCSFNTJ.DAT') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\SBCSFNTJ.DAT 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\SBCSFNTJ.DAT 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\SBCSFNTK.DAT') <> 0 THEN DO
  IF FILESTATE('.\SBCSFNTK.DAT') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\SBCSFNTK.DAT 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\SBCSFNTK.DAT 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\SBCSFNTT.DAT') <> 0 THEN DO
  IF FILESTATE('.\SBCSFNTT.DAT') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\SBCSFNTT.DAT 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\SBCSFNTT.DAT 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\DBCSFNTJ.ORG') <> 0 THEN DO
  IF FILESTATE('.\DBCSFNTJ.ORG') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\DBCSFNTJ.ORG 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\DBCSFNTJ.ORG 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\DBCSFNTK.ORG') <> 0 THEN DO
  IF FILESTATE('.\DBCSFNTK.ORG') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\DBCSFNTK.ORG 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\DBCSFNTK.ORG 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\DBCSFNTT.ORG') <> 0 THEN DO
  IF FILESTATE('.\DBCSFNTT.ORG') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\DBCSFNTT.ORG 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\DBCSFNTT.ORG 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\JISCIIDB.ORG') <> 0 THEN DO
  IF FILESTATE('.\JISCIIDB.ORG') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\JISCIIDB.ORG 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\JISCIIDB.ORG 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\SBCSFNTJ.ORG') <> 0 THEN DO
  IF FILESTATE('.\SBCSFNTJ.ORG') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\SBCSFNTJ.ORG 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\SBCSFNTJ.ORG 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\SBCSFNTK.ORG') <> 0 THEN DO
  IF FILESTATE('.\SBCSFNTK.ORG') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\SBCSFNTK.ORG 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\SBCSFNTK.ORG 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\SBCSFNTT.ORG') <> 0 THEN DO
  IF FILESTATE('.\SBCSFNTT.ORG') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\SBCSFNTT.ORG 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\SBCSFNTT.ORG 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AIN3DNOP.EXE') <> 0 THEN DO
  IF FILESTATE('.\AIN3DNOP.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AIN3DNOP.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN3DNOP.EXE 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\OPC.FR2') <> 0 THEN DO
  IF FILESTATE('.\OPC.FR2') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\OPC.FR2 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\OPC.FR2 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\STM.FR2') <> 0 THEN DO
  IF FILESTATE('.\STM.FR2') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\STM.FR2 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\STM.FR2 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\STM.FR2') <> 0 THEN DO
  IF FILESTATE('.\STM.FR2') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\STM.FR2 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\STM.FR2 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINUEXIT.H') <> 0 THEN DO
  IF FILESTATE('.\AINUEXIT.H') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINUEXIT.H 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUEXIT.H 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINUXHDR.C') <> 0 THEN DO
  IF FILESTATE('.\AINUXHDR.C') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINUXHDR.C 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXHDR.C 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINUXHDR.DEF') <> 0 THEN DO
  IF FILESTATE('.\AINUXHDR.DEF') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINUXHDR.DEF 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXHDR.DEF 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINUXTLR.C') <> 0 THEN DO
  IF FILESTATE('.\AINUXTLR.C') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINUXTLR.C 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXTLR.C 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINUXTLR.DEF') <> 0 THEN DO
  IF FILESTATE('.\AINUXTLR.DEF') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINUXTLR.DEF 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXTLR.DEF 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINUXACC.C') <> 0 THEN DO
  IF FILESTATE('.\AINUXACC.C') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINUXACC.C 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXACC.C 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINUXACC.DEF') <> 0 THEN DO
  IF FILESTATE('.\AINUXACC.DEF') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINUXACC.DEF 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXACC.DEF 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINUXAUD.C') <> 0 THEN DO
  IF FILESTATE('.\AINUXAUD.C') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINUXAUD.C 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXAUD.C 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINUXAUD.DEF') <> 0 THEN DO
  IF FILESTATE('.\AINUXAUD.DEF') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINUXAUD.DEF 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXAUD.DEF 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINUXSEP.C') <> 0 THEN DO
  IF FILESTATE('.\AINUXSEP.C') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINUXSEP.C 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXSEP.C 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINUXSEP.DEF') <> 0 THEN DO
  IF FILESTATE('.\AINUXSEP.DEF') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINUXSEP.DEF 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXSEP.DEF 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINUXIND.C') <> 0 THEN DO
  IF FILESTATE('.\AINUXIND.C') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINUXIND.C 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXIND.C 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINUXIND.DEF') <> 0 THEN DO
  IF FILESTATE('.\AINUXIND.DEF') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINUXIND.DEF 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXIND.DEF 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINUXOUT.C') <> 0 THEN DO
  IF FILESTATE('.\AINUXOUT.C') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINUXOUT.C 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXOUT.C 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINUXOUT.DEF') <> 0 THEN DO
  IF FILESTATE('.\AINUXOUT.DEF') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINUXOUT.DEF 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINUXOUT.DEF 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINGRID.CMD') <> 0 THEN DO
  IF FILESTATE('.\AINGRID.CMD') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINGRID.CMD 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINGRID.CMD 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\IBMAFP.DRV') <> 0 THEN DO
  IF FILESTATE('.\IBMAFP.DRV') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\IBMAFP.DRV 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\IBMAFP.DRV 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\IBMAFPR.DLL') <> 0 THEN DO
  IF FILESTATE('.\IBMAFPR.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\IBMAFPR.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\IBMAFPR.DLL 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\IBMAFP.INI') <> 0 THEN DO
  IF FILESTATE('.\IBMAFP.INI') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\IBMAFP.INI 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\IBMAFP.INI 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\IBMAFPT.INI') <> 0 THEN DO
  IF FILESTATE('.\IBMAFPT.INI') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\IBMAFPT.INI 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\IBMAFPT.INI 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\IBMAFP.HLP') <> 0 THEN DO
  IF FILESTATE('.\IBMAFP.HLP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\IBMAFP.HLP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\IBMAFP.HLP 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\OEMSETU2.INF') <> 0 THEN DO
  IF FILESTATE('.\OEMSETU2.INF') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\OEMSETU2.INF 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\OEMSETU2.INF 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\IBMAREAD.ME') <> 0 THEN DO
  IF FILESTATE('.\IBMAREAD.ME') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\IBMAREAD.ME 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\IBMAREAD.ME 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PENNAFP.DRV') <> 0 THEN DO
  IF FILESTATE('.\PENNAFP.DRV') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PENNAFP.DRV 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PENNAFP.DRV 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PENNAFPR.DLL') <> 0 THEN DO
  IF FILESTATE('.\PENNAFPR.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PENNAFPR.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PENNAFPR.DLL 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PENNAFP.INI') <> 0 THEN DO
  IF FILESTATE('.\PENNAFP.INI') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PENNAFP.INI 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PENNAFP.INI 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PENNAFPT.INI') <> 0 THEN DO
  IF FILESTATE('.\PENNAFPT.INI') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PENNAFPT.INI 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PENNAFPT.INI 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PENNAFP.HLP') <> 0 THEN DO
  IF FILESTATE('.\PENNAFP.HLP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PENNAFP.HLP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PENNAFP.HLP 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\OEMSETUP.INF') <> 0 THEN DO
  IF FILESTATE('.\OEMSETUP.INF') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\OEMSETUP.INF 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\OEMSETUP.INF 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PENNREAD.ME') <> 0 THEN DO
  IF FILESTATE('.\PENNREAD.ME') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PENNREAD.ME 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PENNREAD.ME 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PENNAFP2.DRV') <> 0 THEN DO
  IF FILESTATE('.\PENNAFP2.DRV') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PENNAFP2.DRV 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PENNAFP2.DRV 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    'copy .\PENNAFP2.EA 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    'eautil 'psf2dir'\SAMPLES\PENNAFP2.DRV 'psf2dir'\SAMPLES\PENNAFP2.EA /J'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PENNAFPS.DLL') <> 0 THEN DO
  IF FILESTATE('.\PENNAFPS.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PENNAFPS.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PENNAFPS.DLL 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PENNAFP2.HLP') <> 0 THEN DO
  IF FILESTATE('.\PENNAFP2.HLP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PENNAFP2.HLP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PENNAFP2.HLP 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINXFOPT.C') <> 0 THEN DO
  IF FILESTATE('.\AINXFOPT.C') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINXFOPT.C 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINXFOPT.C 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\BLDXFORM.CMD') <> 0 THEN DO
  IF FILESTATE('.\BLDXFORM.CMD') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\BLDXFORM.CMD 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\BLDXFORM.CMD 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINXFSMP.L') <> 0 THEN DO
  IF FILESTATE('.\AINXFSMP.L') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINXFSMP.L 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINXFSMP.L 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\BLDXFORM.MAK') <> 0 THEN DO
  IF FILESTATE('.\BLDXFORM.MAK') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\BLDXFORM.MAK 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\BLDXFORM.MAK 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINXFSMP.C') <> 0 THEN DO
  IF FILESTATE('.\AINXFSMP.C') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINXFSMP.C 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINXFSMP.C 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINXFSMP.H') <> 0 THEN DO
  IF FILESTATE('.\AINXFSMP.H') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINXFSMP.H 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINXFSMP.H 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINXFSMP.DEF') <> 0 THEN DO
  IF FILESTATE('.\AINXFSMP.DEF') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINXFSMP.DEF 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINXFSMP.DEF 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AIN3XFRM.H') <> 0 THEN DO
  IF FILESTATE('.\AIN3XFRM.H') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AIN3XFRM.H 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN3XFRM.H 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\QREADER.NLM') <> 0 THEN DO
  IF FILESTATE('.\QREADER.NLM') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\QREADER.NLM 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\QREADER.NLM 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\QREADER.TXT') <> 0 THEN DO
  IF FILESTATE('.\QREADER.TXT') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\QREADER.TXT 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\QREADER.TXT 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PENNA01.PS') <> 0 THEN DO
  IF FILESTATE('.\PENNA01.PS') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PENNA01.PS 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PENNA01.PS 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PENNA02.PS') <> 0 THEN DO
  IF FILESTATE('.\PENNA02.PS') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PENNA02.PS 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PENNA02.PS 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PENNA03.PS') <> 0 THEN DO
  IF FILESTATE('.\PENNA03.PS') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PENNA03.PS 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PENNA03.PS 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PENNA04.PS') <> 0 THEN DO
  IF FILESTATE('.\PENNA04.PS') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PENNA04.PS 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PENNA04.PS 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PS2AFPD.EXE') <> 0 THEN DO
  IF FILESTATE('.\PS2AFPD.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PS2AFPD.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2AFPD.EXE 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PS2AFP.EXE') <> 0 THEN DO
  IF FILESTATE('.\PS2AFP.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PS2AFP.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2AFP.EXE 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PS2AFP.CFG') <> 0 THEN DO
  IF FILESTATE('.\PS2AFP.CFG') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PS2AFP.CFG 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2AFP.CFG 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PS2AFPD2.EXE') <> 0 THEN DO
  IF FILESTATE('.\PS2AFPD2.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PS2AFPD2.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2AFPD2.EXE 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PS2AFPD2.CFG') <> 0 THEN DO
  IF FILESTATE('.\PS2AFPD2.CFG') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PS2AFPD2.CFG 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2AFPD2.CFG 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PS2AFPD.CFG') <> 0 THEN DO
  IF FILESTATE('.\PS2AFPD.CFG') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PS2AFPD.CFG 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2AFPD.CFG 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PS2AFP.MAN') <> 0 THEN DO
  IF FILESTATE('.\PS2AFP.MAN') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PS2AFP.MAN 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2AFP.MAN 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PS2AFP.SCR') <> 0 THEN DO
  IF FILESTATE('.\PS2AFP.SCR') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PS2AFP.SCR 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2AFP.SCR 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PCL2AFP.EXE') <> 0 THEN DO
  IF FILESTATE('.\PCL2AFP.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PCL2AFP.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PCL2AFP.EXE 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PPXPCLI.EXE') <> 0 THEN DO
  IF FILESTATE('.\PPXPCLI.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PPXPCLI.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PPXPCLI.EXE 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PPXPS2I.EXE') <> 0 THEN DO
  IF FILESTATE('.\PPXPS2I.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PPXPS2I.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PPXPS2I.EXE 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\XISRVRC.EXE') <> 0 THEN DO
  IF FILESTATE('.\XISRVRC.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\XISRVRC.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\XISRVRC.EXE 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PCL2AFP.CFG') <> 0 THEN DO
  IF FILESTATE('.\PCL2AFP.CFG') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PCL2AFP.CFG 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PCL2AFP.CFG 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PS2A.EXE') <> 0 THEN DO
  IF FILESTATE('.\PS2A.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PS2A.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2A.EXE 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PCL2A.EXE') <> 0 THEN DO
  IF FILESTATE('.\PCL2A.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PCL2A.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PCL2A.EXE 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PCL2AFPD.CFG') <> 0 THEN DO
  IF FILESTATE('.\PCL2AFPD.CFG') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PCL2AFPD.CFG 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PCL2AFPD.CFG 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PCL2AFPD.EXE') <> 0 THEN DO
  IF FILESTATE('.\PCL2AFPD.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PCL2AFPD.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PCL2AFPD.EXE 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINPCL.CMD') <> 0 THEN DO
  IF FILESTATE('.\AINPCL.CMD') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINPCL.CMD 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINPCL.CMD 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PPXPS2.PS') <> 0 THEN DO
  IF FILESTATE('.\PPXPS2.PS') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PPXPS2.PS 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PPXPS2.PS 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PPXPS2E.PS') <> 0 THEN DO
  IF FILESTATE('.\PPXPS2E.PS') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PPXPS2E.PS 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PPXPS2E.PS 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\AINPSL2.CMD') <> 0 THEN DO
  IF FILESTATE('.\AINPSL2.CMD') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\AINPSL2.CMD 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINPSL2.CMD 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PS2A2.EXE') <> 0 THEN DO
  IF FILESTATE('.\PS2A2.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PS2A2.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2A2.EXE 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PS2AFP2.DLL') <> 0 THEN DO
  IF FILESTATE('.\PS2AFP2.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PS2AFP2.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2AFP2.DLL 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\XISRVR2.EXE') <> 0 THEN DO
  IF FILESTATE('.\XISRVR2.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\XISRVR2.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\XISRVR2.EXE 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\PS2AFP2.EXE') <> 0 THEN DO
  IF FILESTATE('.\PS2AFP2.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\PS2AFP2.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2AFP2.EXE 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\UPLOAD\PRINTDEF.VM') <> 0 THEN DO
  IF FILESTATE('.\PRINTDEF.VM') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\UPLOAD\PRINTDEF.VM 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PRINTDEF.VM 'psf2dir'\UPLOAD\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\UPLOAD\PRINTDEF.MVS') <> 0 THEN DO
  IF FILESTATE('.\PRINTDEF.MVS') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\UPLOAD\PRINTDEF.MVS 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PRINTDEF.MVS 'psf2dir'\UPLOAD\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\UPLOAD\AFRCATCH.EXC') <> 0 THEN DO
  IF FILESTATE('.\AFRCATCH.EXC') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\UPLOAD\AFRCATCH.EXC 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AFRCATCH.EXC 'psf2dir'\UPLOAD\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\UPLOAD\AINSHOST.CMD') <> 0 THEN DO
  IF FILESTATE('.\AINSHOST.CMD') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\UPLOAD\AINSHOST.CMD 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINSHOST.CMD 'psf2dir'\UPLOAD\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\UPLOAD\AFRREBLK.EXC') <> 0 THEN DO
  IF FILESTATE('.\AFRREBLK.EXC') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\UPLOAD\AFRREBLK.EXC 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AFRREBLK.EXC 'psf2dir'\UPLOAD\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\UPLOAD\AFRREBLK.VM') <> 0 THEN DO
  IF FILESTATE('.\AFRREBLK.VM') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\UPLOAD\AFRREBLK.VM 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AFRREBLK.VM 'psf2dir'\UPLOAD\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\UPLOAD\AFRREBLK.MVS') <> 0 THEN DO
  IF FILESTATE('.\AFRREBLK.MVS') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\UPLOAD\AFRREBLK.MVS 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AFRREBLK.MVS 'psf2dir'\UPLOAD\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\UPLOAD\AFRREMSG.EXC') <> 0 THEN DO
  IF FILESTATE('.\AFRREMSG.EXC') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\UPLOAD\AFRREMSG.EXC 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AFRREMSG.EXC 'psf2dir'\UPLOAD\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\UPLOAD\UPSAMP.AFP') <> 0 THEN DO
  IF FILESTATE('.\UPSAMP.AFP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\UPLOAD\UPSAMP.AFP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\UPSAMP.AFP 'psf2dir'\UPLOAD\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\UPLOAD\AFRDIST.EXC') <> 0 THEN DO
  IF FILESTATE('.\AFRDIST.EXC') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\UPLOAD\AFRDIST.EXC 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AFRDIST.EXC 'psf2dir'\UPLOAD\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\RLINST2.EXE') <> 0 THEN DO
  IF FILESTATE('.\RLINST2.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\RLINST2.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\RLINST2.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\PMARL.EXE') <> 0 THEN DO
  IF FILESTATE('.\PMARLY.EXE') <> 0 THEN DO
    'copy .\PMARLY.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    IF FILESTATE(psf2dir'\BIN\AINDPFHR.EXE') <> 0 THEN DO
      IF (backup = TRUE) THEN DO
        'copy 'psf2dir'\BIN\PMARL.EXE 'psf2dir'\OLD\'
        IF rc <> 0 THEN DO; CALL QUIT; END;
      END
      'copy .\PMARLY.EXE 'psf2dir'\BIN\PMARL.EXE'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
  END
  IF FILESTATE('.\PMARLN.EXE') <> 0 THEN DO
    'copy .\PMARLN.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
    IF FILESTATE(psf2dir'\BIN\AINDPFHR.EXE') = 0 THEN DO
      IF (backup = TRUE) THEN DO
        'copy 'psf2dir'\BIN\PMARL.EXE 'psf2dir'\OLD\'
        IF rc <> 0 THEN DO; CALL QUIT; END;
      END
      'copy .\PMARLN.EXE 'psf2dir'\BIN\PMARL.EXE'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
  END
END
IF FILESTATE(psf2dir'\BIN\AIN1UEUI.EXE') <> 0 THEN DO
  IF FILESTATE('.\AIN1UEUI.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN1UEUI.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN1UEUI.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AINMAIN.EXE') <> 0 THEN DO
  IF FILESTATE('.\AINMAIN.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AINMAIN.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINMAIN.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AINSPCLN.EXE') <> 0 THEN DO
  IF FILESTATE('.\AINSPCLN.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AINSPCLN.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINSPCLN.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\RLRENAME.EXE') <> 0 THEN DO
  IF FILESTATE('.\RLRENAME.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\RLRENAME.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\RLRENAME.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\RLCOPY.EXE') <> 0 THEN DO
  IF FILESTATE('.\RLCOPY.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\RLCOPY.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\RLCOPY.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\RLLIST.EXE') <> 0 THEN DO
  IF FILESTATE('.\RLLIST.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\RLLIST.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\RLLIST.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\RLDELETE.EXE') <> 0 THEN DO
  IF FILESTATE('.\RLDELETE.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\RLDELETE.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\RLDELETE.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\RLADD.EXE') <> 0 THEN DO
  IF FILESTATE('.\RLADD.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\RLADD.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\RLADD.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\NWPSF2.EXE') <> 0 THEN DO
  IF FILESTATE('.\NWPSF2.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\NWPSF2.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\NWPSF2.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\FIXPROF.EXE') <> 0 THEN DO
  IF FILESTATE('.\FIXPROF.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\FIXPROF.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\FIXPROF.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN1UTCP.EXE') <> 0 THEN DO
  IF FILESTATE('.\AIN1UTCP.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN1UTCP.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN1UTCP.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AINWTDEL.EXE') <> 0 THEN DO
  IF FILESTATE('.\AINWTDEL.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AINWTDEL.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINWTDEL.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AINHXFER.EXE') <> 0 THEN DO
  IF FILESTATE('.\AINHXFER.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AINHXFER.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINHXFER.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN1XFRM.EXE') <> 0 THEN DO
  IF FILESTATE('.\AIN1XFRM.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN1XFRM.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN1XFRM.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\PSF2QUE.EXE') <> 0 THEN DO
  IF FILESTATE('.\PSF2QUE.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\PSF2QUE.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PSF2QUE.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\PSF2DEV.EXE') <> 0 THEN DO
  IF FILESTATE('.\PSF2DEV.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\PSF2DEV.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PSF2DEV.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN3DCCU.EXE') <> 0 THEN DO
  IF FILESTATE('.\AIN3DCCU.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN3DCCU.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN3DCCU.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\CHAN370.EXE') <> 0 THEN DO
  IF FILESTATE('.\CHAN370.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\CHAN370.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\CHAN370.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\CHAN370.SYS') <> 0 THEN DO
  IF FILESTATE('.\CHAN370.SYS') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\CHAN370.SYS 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\CHAN370.SYS 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\C370STOP.EXE') <> 0 THEN DO
  IF FILESTATE('.\C370STOP.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\C370STOP.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\C370STOP.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\C370UDH.EXE') <> 0 THEN DO
  IF FILESTATE('.\C370UDH.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\C370UDH.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\C370UDH.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\C370LFMT.EXE') <> 0 THEN DO
  IF FILESTATE('.\C370LFMT.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\C370LFMT.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\C370LFMT.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\C370LOG.EXE') <> 0 THEN DO
  IF FILESTATE('.\C370LOG.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\C370LOG.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\C370LOG.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\C370TRC.CCW') <> 0 THEN DO
  IF FILESTATE('.\C370TRC.CCW') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\C370TRC.CCW 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\C370TRC.CCW 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\C370TRC.EXE') <> 0 THEN DO
  IF FILESTATE('.\C370TRC.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\C370TRC.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\C370TRC.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\C370TRC.TSK') <> 0 THEN DO
  IF FILESTATE('.\C370TRC.TSK') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\C370TRC.TSK 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\C370TRC.TSK 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN3DAPP.EXE') <> 0 THEN DO
  IF FILESTATE('.\AIN3DAPP.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN3DAPP.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN3DAPP.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AINDPF.EXE') <> 0 THEN DO
  IF FILESTATE('.\AINDPF.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AINDPF.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINDPF.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\DPF_INST.EXE') <> 0 THEN DO
  IF FILESTATE('.\DPF_INST.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\DPF_INST.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\DPF_INST.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AINDPFHR.EXE') <> 0 THEN DO
  IF FILESTATE('.\AINDPFHR.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AINDPFHR.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINDPFHR.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AINAQP.EXE') <> 0 THEN DO
  IF FILESTATE('.\AINAQP.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AINAQP.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINAQP.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN1QMIG.EXE') <> 0 THEN DO
  IF FILESTATE('.\AIN1QMIG.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN1QMIG.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN1QMIG.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AINHR.EXE') <> 0 THEN DO
  IF FILESTATE('.\AINHR.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AINHR.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINHR.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\CRTHRSEL.EXE') <> 0 THEN DO
  IF FILESTATE('.\CRTHRSEL.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\CRTHRSEL.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\CRTHRSEL.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN1VDD.MIC') <> 0 THEN DO
  IF FILESTATE('.\AIN1VDD.MIC') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN1VDD.MIC 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN1VDD.MIC 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN1VDD.SYS') <> 0 THEN DO
  IF FILESTATE('.\AIN1VDD.SYS') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN1VDD.SYS 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN1VDD.SYS 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN1VFMT.EXE') <> 0 THEN DO
  IF FILESTATE('.\AIN1VFMT.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN1VFMT.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN1VFMT.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN1VLOG.EXE') <> 0 THEN DO
  IF FILESTATE('.\AIN1VLOG.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN1VLOG.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN1VLOG.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN1VSTP.EXE') <> 0 THEN DO
  IF FILESTATE('.\AIN1VSTP.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN1VSTP.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN1VSTP.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN1VTRC.EXE') <> 0 THEN DO
  IF FILESTATE('.\AIN1VTRC.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN1VTRC.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN1VTRC.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN1VTRC.TSK') <> 0 THEN DO
  IF FILESTATE('.\AIN1VTRC.TSK') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN1VTRC.TSK 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN1VTRC.TSK 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN3DNDS.EXE') <> 0 THEN DO
  IF FILESTATE('.\AIN3DNDS.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN3DNDS.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN3DNDS.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN3DSNA.EXE') <> 0 THEN DO
  IF FILESTATE('.\AIN3DSNA.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN3DSNA.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN3DSNA.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN3DPDS.EXE') <> 0 THEN DO
  IF FILESTATE('.\AIN3DPDS.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN3DPDS.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN3DPDS.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\PS2AFPIU.EXE') <> 0 THEN DO
  IF FILESTATE('.\PS2AFPIU.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\PS2AFPIU.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PS2AFPIU.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\XISERVER.EXE') <> 0 THEN DO
  IF FILESTATE('.\XISERVER.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\XISERVER.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\XISERVER.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\ARCBLD.EXE') <> 0 THEN DO
  IF FILESTATE('.\ARCBLD.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\ARCBLD.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\ARCBLD.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\MKFNTMAP.EXE') <> 0 THEN DO
  IF FILESTATE('.\MKFNTMAP.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\MKFNTMAP.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\MKFNTMAP.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\PSF2DRCT.EXE') <> 0 THEN DO
  IF FILESTATE('.\PSF2DRCT.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\PSF2DRCT.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\PSF2DRCT.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN1GEUI.EXE') <> 0 THEN DO
  IF FILESTATE('.\AIN1GEUI.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN1GEUI.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN1GEUI.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN1GMIG.EXE') <> 0 THEN DO
  IF FILESTATE('.\AIN1GMIG.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN1GMIG.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN1GMIG.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AINPSFHR.EXE') <> 0 THEN DO
  IF FILESTATE('.\AINPSFHR.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AINPSFHR.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINPSFHR.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AINAQP.EXE') <> 0 THEN DO
  IF FILESTATE('.\AINAQP.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AINAQP.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AINAQP.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\BIN\AIN3DTCP.EXE') <> 0 THEN DO
  IF FILESTATE('.\AIN3DTCP.EXE') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\BIN\AIN3DTCP.EXE 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\AIN3DTCP.EXE 'psf2dir'\BIN\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\CWBAFP.DLL') <> 0 THEN DO
  IF FILESTATE('.\CWBAFP.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\CWBAFP.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\CWBAFP.DLL 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\CWBAFP.INF') <> 0 THEN DO
  IF FILESTATE('.\CWBAFP.INF') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\CWBAFP.INF 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\CWBAFP.INF 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\CWBAFPR.DLL') <> 0 THEN DO
  IF FILESTATE('.\CWBAFPR.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\CWBAFPR.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\CWBAFPR.DLL 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\CWBAFPUI.DLL') <> 0 THEN DO
  IF FILESTATE('.\CWBAFPUI.DLL') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\CWBAFPUI.DLL 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\CWBAFPUI.DLL 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\ODAFP.CNT') <> 0 THEN DO
  IF FILESTATE('.\ODAFP.CNT') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\ODAFP.CNT 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\ODAFP.CNT 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\SAMPLES\ODAFP.HLP') <> 0 THEN DO
  IF FILESTATE('.\ODAFP.HLP') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\SAMPLES\ODAFP.HLP 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\ODAFP.HLP 'psf2dir'\SAMPLES\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\UNIXLPR\OPARMS.CMD') <> 0 THEN DO
  IF FILESTATE('.\OPARMS.CMD') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\UNIXLPR\OPARMS.CMD 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\README.LPR 'psf2dir'\UNIXLPR\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\UNIXLPR\README.LPR') <> 0 THEN DO
  IF FILESTATE('.\README.LPR') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\UNIXLPR\README.LPR 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\README.LPR 'psf2dir'\UNIXLPR\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\UNIXLPR\LPR.MAK') <> 0 THEN DO
  IF FILESTATE('.\LPR.MAK') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\UNIXLPR\LPR.MAK 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\LPR.MAK 'psf2dir'\UNIXLPR\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\UNIXLPR\LPR') <> 0 THEN DO
  IF FILESTATE('.\LPR') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\UNIXLPR\LPR 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\LPR 'psf2dir'\UNIXLPR\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\UNIXLPR\LPRAFP.C') <> 0 THEN DO
  IF FILESTATE('.\LPRAFP.C') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\UNIXLPR\LPRAFP.C 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\LPRAFP.C 'psf2dir'\UNIXLPR\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\UNIXLPR\LPRAFP.H') <> 0 THEN DO
  IF FILESTATE('.\LPRAFP.H') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\UNIXLPR\LPRAFP.H 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\LPRAFP.H 'psf2dir'\UNIXLPR\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\UNIXLPR\GETOPTS.C') <> 0 THEN DO
  IF FILESTATE('.\GETOPTS.C') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\UNIXLPR\GETOPTS.C 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\GETOPTS.C 'psf2dir'\UNIXLPR\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF FILESTATE(psf2dir'\UNIXLPR\GETOPTS.H') <> 0 THEN DO
  IF FILESTATE('.\GETOPTS.H') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\UNIXLPR\GETOPTS.H 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\GETOPTS.H 'psf2dir'\UNIXLPR\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END
IF (FILESTATE(psf2dir'\DB2RINST.CMD') <> 0) THEN DO
  IF FILESTATE('.\DB2RINST.CMD') <> 0 THEN DO
    IF (backup = TRUE) THEN DO
      'copy 'psf2dir'\DB2RINST.CMD 'psf2dir'\OLD\'
      IF rc <> 0 THEN DO; CALL QUIT; END;
    END
    'copy .\DB2RINST.CMD 'psf2dir'\'
    IF rc <> 0 THEN DO; CALL QUIT; END;
  END
END

/* New files */
IF (warpsrv = 'NO') THEN DO
  'copy .\DB2RINST.CMD 'psf2dir'\'
  IF rc <> 0 THEN DO; CALL QUIT; END;
END
'copy .\T1000858 'psf2dir'\RESLIB\'
IF rc <> 0 THEN DO; CALL QUIT; END;

/* Add new resources to the Resource Library */
psf2drv
'cd 'psf2dir'\RESLIB'
psf2bin'\rladd.exe r 'psf2dir'\RESLIB\RESOURCE.RL /F'
IF rc <> 0 THEN DO; CALL QUIT; END;

/* Tell customer we are done */
say 'CSD installation is completed!'
say 'Please REBOOT immediately!'

x = endlocal()
CALL QUIT2;

HELP:;
  say '**************************************************************';
  say '* This UPDATE command MUST be executed from the directory    *';
  say '* where the diskettes were unpacked.                         *';
  say '*                                                            *';
  say '* This command requires one parameter.                       *';
  say '*                                                            *';
  say '* The format is:                                             *';
  say '*   UPDATE <+b>                                              *';
  say '*     where <+b> is an optional parameter to keep BACKUPS    *';
  say '*     default is to NOT do BACKUPS                           *';
  say '*                                                            *';
  say '* Example:                                                   *';
  say '*   update                                                   *';
  say '*                                                            *';
  say '* This CMD file assumes that all files to be installed are   *';
  say '* in the same directory as the CMD file, and that you were   *';
  say '* in that directory when the CMD file was invoked.           *';
  say '**************************************************************';
  x = endlocal()
  CALL QUIT2;
RETURN;

FILESTATE:; parse arg fid;
  rc = LENGTH(STREAM(fid,'C','QUERY EXISTS'));
RETURN(rc);

INIT:;
  env = 'OS2ENVIRONMENT'
  psf2dir = VALUE('AINCODEPATH',,env)
  psf2drv = FILESPEC("DRIVE", psf2dir)
  psf2psys = VALUE('AINWORKPATH',,env)
  psf2bin = psf2dir'\bin'
  dpfexe = 'AINHR.EXE'
  baseexe = 'AINMAIN.EXE'
  warpsrv = 'NO'
RETURN;

READNEXT:;
  curline = LINEIN(sourcedat)
  curline = STRIP(curline)
  curnum = curnum + 1
  if curnum//1000 = 0 then do
    say curnum' resources migrated'
  end  /* Do */
RETURN;

QUIT:;
  /* Disable DBCS options */
  OPTIONS 'NOETMODE'
  OPTIONS 'NOEXMODE'
  /* Beep and Print informational message */
  CALL beep 523,1200
  say 'THERE IS A PROBLEM WITH THE INSTALL, STOPPING!!!'
  EXIT;

QUIT2:;
  /* Disable DBCS options */
  OPTIONS 'NOETMODE'
  OPTIONS 'NOEXMODE'
  EXIT;
